Since 7.x-1.0
Performance improvements.
Major restructure of admin UI.
Workflow form detached from comment form.
Workflow status and form are fields that can be controlled under "Manage display."

Issue #1783854 by antojose: Allow setting comment in Rules.
Issue #1891446 by interX: Allow grouped filters.
Issue #1922262 by NancyDru, hwold: Fix join. misc. improvements.
Issue #1540824 by NancyDru: Improve Admin UI.
Issue #1908520 by NancyDru: Set state of pre-existing nodes.
Issue #1922422 by NancyDru: Correct state name creation in Tokens.
Issue #155547 by NancyDru: Tab form should call hook_workflow().
Issue #1818424 by NancyDru: Add doc for hook_workflow_operations.
Issue #1918424 by NancyDru: More complete api doc.
Get rid of temp.patch.
Issue #385038 by flyingkiki, NancyDru: Fix double history. Minor corrections.
Issue #1802216 by NancyDru: Improve scheduling time form section.
Issue #1418622 by NancyDru: Fix tokens during transition.
Issue #1784092 by wamilton: stop double saving nodes.
remove accidental file
Issue #1900488 by NancyDru: load comment in node_load. #1904740 by NancyDru: suppress form at terminal state. Performance improvements.
Issue #1532646 by wonder95: Add search api module.
Issue #1493012 by kid_icarus: Better views.
Issue #1900480 by NancyDru for Dave Reid: Move tokens stuff to separate file.
Issue #1418622 by Dave Reid: Fix tokens.
Issue #1427006 by NancyDru: Fix transition rule.
Issue #1893542 by NancyDru: Transition form by perms.
Issue #1893724 by NancyDru: transition form by perms.
Issue #1895712 by NancyDru: Fix form when only one state.
Issue #1896422 by NancyDru: Fix token message.
Correct theming in form.
Minor corrections to README
Issue #1856180 by NancyDru: Correct update to not fail.
Issue #1475930 by Bastlynn.
Issue #1874400 by Nancydru.
Issue #1884630 by NancyDru.
Issue #1891374 by NancyDru.
Coder finds.
Issue #1550274 by dynamicdan, gofs: egregious typo
Adding features include on revert so it's avail during install / enable.
UI improvement in Rules interface when there are more than one Workflows available.
Issue #1471014 by Bastlynn: removing node_save from workflow tab.
Issue #558378 by hefox: Features round 2 cleanup.
Issue #1426844 by onegenius: Correcting for missing history information errs.
Issue #1424008 by Bastlynn: handling no workflows setup w/ Workflow Views turned on.
Issue #1421518 by DuaelFr: Workflow access warnings on new nodes
Issue #1468810 by firewolf, Morten Najbjerg, sbrege Strict warnings re: render and form
Issue #1469798 by Bastlynn: errs thrown on rules change when old state = new state.
Issue #1468810 Timezones in scheduler
Issue #1426844 by Bastlynn: Adding catch re: propery of last_history object being empty when node is not a workflow content type.
Issue #1424008 by Bastlynn: Accounting for trying to go to views pg with workflow_views active, but no workflows in system.
Issue #1400352 by Bastlynn: Fixing an error appearing udner E_STRICT in admin UI re: creating a default object.
Something got weird between the push/pull for this commit so trying that again.
Issue #1386430 by dylanhuang (patch by dozymoe): Views filter shows unknown when state selected in multi-workflow environment.
Issue #1386430 by dylanhuang (patch by dozymoe): Views filter shows unknown when state selected in multi-workflow environment.
Correcting for doubled ,, in install schema.
Issue #1405688 by wonder95: Path length correction for trigger path.
Issue #1405688 by hefox: Coder standards.
Issue #1924004 by evaldas.uzkuras: Fix bad variable.
Fix typo in api. Add hook_requirements to show that worflows are active.
Issue #1924174 by NancyDru: Fix menu error on state delete.
Issue 1925162 by fgm: Call time reference error.
Issue #1924182 by NancyDru: Correct initial state name in edit form.
Issue #1926746 by shenzhuxi: Fix some php warnings.
Issue #1781308 by NancyDru: Change node form to vertical tab.
Issue #1926556 by NancyDru: Back to transition on node creation.
Issue #1550992 by chadhester: Add Previous Comment Author for Views.
Issue #1926800 by NancyDru: Fix operations links.
Issue #1865754 by NancyDru for leelooch: Add reminder to state add form.
Issue #1540412 by NancyDru: Allow timezones for transition scheduling.
Issue #1930638 by NancyDru, shenzhuxi: Undefined variable.
Issue #1540824 by NancyDru: Improve Admin UI.
Issue #1931032 by NancyDru: Add missing js file.
Issue #1931778 by NancyDru: Add breadcrumbs to access page.
Add admin ui css.
Issue #1350900 by loze: list states grouped by workflow.
Issue #1540824 by NancyDru: More Admin UI improvements.
Issue #1931948 by NancyDru: Use menu loaders to simplify menu.
Issue #1347116 by NancyDru: New Workflow_Cleanup module.
Issue #1509568 by fgm: Access control export.
Issue #1933466 by fgm: Remove Admin UI warning, repair redirection on workflow_access admin submit.
Issue #1768350 by NancyDru: Correct test and message for type page.
Issue #1380954 by Bastlyn, DRippstein: Add node_actions triggers.
Issue #1909922 by NancyDru: Add warning on Access UI page about content permissions.
Issue #1691870 by berenddeboer: Allow Rules to bypass permissions on transition.
Issue #1540914 by NancyDru: Pass parms in node form; allow comment alter at transition.
Issue #1744612 by NancyDru: Move VBO stuff into its own module.
Issue #1944574 by NancyDru: Undefined index.

Since 7.x-1.1-rc1
Issue #785194 by arcovia: Access to tab form.
Issue #785194 by NancyDru: Better access to tab form.
Issue #1691870 by NancyDru: Rules record workflow comment.
Issue #1691870 by NancyDru: Transition check wrong choices on Force.
Issue #1951164 by Kristen Pol: Fix left join order.
Issue #1951718 by NancyDru: Clean up history records.
Issue #1953642 by NancyDru: Add history row alter feature.
Issue #1953642 by NancyDru: Add state revert feature.
Issue #1953642 by NancyDru: Document hook_workflow_history_alter().
Issue #1484126 by NancyDru, nathangervais: Check if node type has a workflow before adding WF info.
Issue #1957074 by andypost: Allow Views to show Sid value.
Address some @TODO items.

Since 7.x-1.1
Issue #1961156 by mErilainen: Missing translate in Views.
Issue #1962344 by NancyDru, manu77: Missing $node->workflow.
Issue #1962512 by NancyDru: Don't let (creation) be changed.
Issue #1961426 by andypost: Fix reference error.
Issue #1893420 by JackVVo: Fix node name.
Issue #1966292 by aBrookland: Undefined index.
Issue #1970538 by Tim Asplin: Improve Features support.
Issue #1589254 by DuaelFr: Improve Features support.
Issue #1972728 by NancyDru: Deal with HTML entities and translations.
Issue #1967794 by NancyDru, dforegger: Remove static cache.
Issue #1966804 by andypost: Improve workflow_get_workflow_node_history_by_nid.
Issue #1970846 by NancyDru: Allow multiple workflow_tab_forms on the same page.
Issue #1974828 by martysteer: Fix missing brackets in query.
Replace all SELECT * with column names. (Remove @TODO)
Issue #1976992 by bdone, NancyDru: Make watchdog logging optional.
Issue #1976942 by dforegger: Fix transition import.
Issue #1984338 by NancyDru: Fix node_load looping.
Issue #1995004 by NancyDru: Fix form issue in admin.
Issue #1975058 by NancyDru: Revert change to node_form on comments.
Issue #1986220 by NancyDru: Add scheduling user's id to history.
Automatically give "Participate in Workflow" permission to new roles.
Issue #1984338 by NancyDru: Pass $force to hook_workflow().
Issue #1996892 by Kristen Pol: Add previous state to Rules.
Issue #1979562 by NancyDru: workflow_tab_form not found.
Issue #1974624 by NancyDru: Make sure all hook calls have two params.
Issue #1971504 by NancyDru: Skip node form vertical tab if only one transition possible.
Issue #1997242 by NancyDru: Hook to check if transition is allowed.
Issue #1443166 by NancyDru: Clean up monster query (Oracle issue).
Issue #2001980 by NancyDru: Revert checks if permitted.
Issue #1856180 by JayMN: Correct typo in update.
Issue #2009312 by NancyDru: Remove Workflow module form field.
Issue #457348 by NancyDru: Remove view mode check.
Fix terminal state check.
Issue #1997242 by NancyDru: Recheck permitted transitions before execution.
Issue #1781308 by NancyDru: Revert change to vertical tab.
Issue #1997242 by Tim-Erwin: Honor force on transition permitted.
Issue #2019125 by Nancydru: Add access priority setting.
Issue #2018959 by dev team data: Fix feature revert error.
Issue #2012516 by maximpodorov: Add state system name and sid to theme functions
Issue #2022381 by justanothermark: Fix array key collision
Issue #2022333 by NancyDru: Add another common permission warning.
Issue #2023233 by NancyDru: Fix double encoding.
Issue #1993408 by NancyDru: Default new states to active.
Issue #1542188 by justanothermark: Fix workflow display.
Issue #2027507 by NancyDru: Fix sorting issue on history page.
Issue #1993408 by NancyDru: Sysid not always set correctly.

Since 7.x-1.2
Issue #2037459 by johnv: Fix typo.
Issue #2037531 by johnv, NancyDru: Fix choices return value.
Issue #2039859 by Scaythe: Fix double encoding.
Issue #2043667 by rodrigoeg, johnv: Fix typo in tokens.
Issue #2044199 by justanothermark: Fix Feature reversion on non-existent states.
Issue #2019345 by NancyDru: Allow hooks to reside in separate file.
Issue #2052707 by NancyDru: Fix typo in single state value.
Issue #2056773 by ambientdrup: Fix typo in VBO.
Issue #2041329 by johnv: Changed api: added workflow_get_workflows_by_type(), for shorter code.
Issue #2071663 by johnv: Changed function workflow_node_tab_access to gain performance.
Issue #2071733 by johnv: Changed determination of showing Form, with new function workflow_show_form.
Issue #2071733 by johnv: Preserve compatibility with workflow_extensions.
Issue #2041319 by johnv: Added function workflow_get_first_state(), to have more unified code.
Issue #2072059 by johnv: Changed call to hook_form_alter, by using hook_form_BASE_FORM_ID_alter, creating better performance.
Issue #2072203 by johnv: Moved all node API functions from module file to node.inc file, to facilitate introduction of field API.
Issue #2072081 by johnv: Fixed typo in workflow_node_tab_access().
Issue #2077693 by johnv: Added Field API support in workflow_field_choices().
Issue #2078785 by johnv: Added Field API support in workflow_node_tab_access().
Issue #2079017 by johnv: Added Field API support for workflow_execute_transition().
Issue #2080857 by johnv: Added Field API support for workflow_tab_page().
Issue #2080915 by NancyDru: Signal Rules on reversion.
Issue #2082225 by johnv: Changed interface of hook_workflow() (new optional parameter) to support Field API.
Issue #2082247 by johnv: Added caching to workflow_field_choices().
Issue #1357406 by pikku-h: Fixed Cron Scheduling keeps repeating if Old state and New state are the same.
Issue #2019345 by johnv: Create a Workflow Field, with basic options.
Issue #2087851 by ttkaminski: Fixed failing upgrade 7001 due to missing function: workflow_get_workflows().
Issue #2042345 by arpeggio, rickdonohoe, johnv: Added dependency on "Views>3.3" to Workflow Views submodule.
Issue #2019345 by johnv: Added helper function _workflow_get_sid_by_items() for Workflow Field.
Issue #2094031 by johnv: Added return parameter to workflow_execute_transition().
Issue #2019345 by johnv: Added classes for WorkflowDefaultWidget, WorkflowItem (Field type), Workflow, WorkflowState.
Issue #2019345 by johnv: Fixed Field API: do not save node, when a scheduled state chage is posed on a comment.
Issue #884788 by gdud, liquidcms: Fixed Views field "State: Current state name" isn't translated.
Issue #2086287 by dooug: Fixed many typos in workflow and sub-modules.
Issue #2086605 by johnv: Added settings to hide TimeZone for "Schedule for state change" option.
Issue #2019345 by johnv: Fixed #states to hide/show scheduling info in Workflow Field Widget.
Issue #2095467 by johnv: Changed flow logic to use new class WorkflowScheduledTransition.
Issue #2095467 by johnv: Moved deprecated functions for class WorkflowScheduledTransition to new file workflow.deprecated.inc.
Issue #2071733 by johnv: Changed workflow_show_form() to work with both old and new workflow objects.
Issue #2019345 by johnv: Updated Workflow classes to show Workflow Form also on Node View page.
Issue #2019345 by johnv: Fixed some issues in workflow.module file when using WorkflowField submodule.
Issue #2019345 by johnv: Changed workflow_field submodule to support Workflow Form on Node view page.
Issue #2019345 by johnv: Moved Node specific function workflow_forms() from workflow.module to workflow.node.inc.
Issue #2019345 by johnv: Fixed WorkflowItem did not save tab_roles properly on Field Settings page.
Issue #2019345 by johnv: Added some functions to the Workflow Entity classes.
Issue #2019345 by johnv: Changed calls to Workflow object in various includes.
Issue #2019345 by johnv: Added Workflow Field support in History tab page.
Issue #2019345 by johnv: Added new WorkflowTransition class.
Issue #2019345 by johnv: Moved Workflow Form processing code from workflow.module into new WorkflowTransition class.
Issue #2019345 by johnv: Replaced all functional calls to Workflow object by OOP Methods of Workflow class.
Issue #2019345 by johnv: Fixed wrong calls to Workflow::getFirstSid().
Issue #2102405 by johnv: Added basic Entity support for Workflow Field.
Issue #2102405 by johnv: Added Entity support for Workflow Scheduled Transitions.
Issue #2019345 by johnv: Fixed caching for WorkflowState:getStates.
Issue #2019345 by johnv: Changed workflow_node_view() to use Workflow classes.
Issue #2102405 by johnv: Fixed indices for Workflow Scheduled Transitions.
Issue #2019345 by johnv: Fixed order of States in Options list doesn't respect weight.
Issue #2019345 by johnv: Added 'property_info' to Workflow Field for Entity/ Rules support.
Issue #2019345 by johnv: Moved 'workflow_load' functon back to main module, since this is a menu callback.
Issue #2019345 by johnv: Added 'grouped' options for Workflow::getOptions().
Issue #2102663 by johnv: Added support for Workflow Field to workflow_rules sub-module.
Issue #2111043 by johnv: Moved function workflow_field_choices() to WorkflowState->getOptions().
Issue #2102663 by johnv: Fixed apparently rules functions must be in main include.
Issue #2111795 by johnv: Fixed error when adding a Workflow with a name that is a translation of other workflow's name.
Issue #2112263 by Nancydru: Typo in workflow_get_workflow)by_sid().
Issue #2019345 by johnv: Fixed accidentally removed includes from workflow.module file.
Issue #2019345 by johnv: Added extra methods to Workflow objects.
Issue #2019345 by johnv: Added workflow_admin_ui now uses classes, too.
Issue #2019345 by johnv: Added workflow.features.inc now includes workflow.deprecated.inc.
Issue #2019345 by johnv: Added workflow.tokens.inc now uses classes, too.
Issue #2019345 by johnv: Added extra methods to Workflow objects.
Issue #2019345 by johnv: Added workflow_access now uses classes, too.
Issue #2019345 by johnv: Added workflow_node_view now uses classes, too.
Issue #2019345 by johnv: Added workflow_revert now uses classes.
Issue #2019345 by johnv: Added workflow_search_api now uses classes.
Issue #2019345 by johnv: Added workflow_vbo now uses classes.
Issue #2019345 by johnv: Added workflow.install now uses classes.
Issue #2019345 by johnv: Fixed error in WorkflowTransition->IsAllowed().
Issue #2019345 by johnv: Added workflow_views now uses classes.
Issue #2019345 by johnv: Fixed notice when trying to load not-existing Workflow or State.
Issue #2019345 by johnv: Added workflow_cleanup now uses WorkflowState class.
Issue #2019345 by johnv: Moved workflow_state functions to workflow.deprecated.inc, since they are all replaced by Workflow State class.
Issue #2116179 by johnv: Moved workflow_type_map functions to own file workflow.node.type_map.inc.
Issue #2019345 by johnv: Fixed notice on workflow_tab_form when a node type has both Workflow_node and Workflow_field enabled.
Issue #2019345 by johnv: Moved code from workflow_admin_ui to Workflow->validate(), and added this check to Field settings form.
Issue #2115199 by johnv: Moved pages from workflow_admin_ui.module to workfow_admin_ui.pages.inc, reducing footprint for all-but-these pages.
Issue #2019345 by johnv: Added a create() function to classes Workflow and WorkflowState.
Issue #2115199 by johnv: Some cosmetic changes in workfow_admin_ui.pages.inc.
Issue #2019345 by johnv: Fixed notice when updating node in certain circumstances.
Issue #2019345 by johnv: Changed function names in workflow_rules to reflect they are Node API only.
Issue #2019345 by johnv: Fixed notice when an existing node does not have a workflow value yet.
Issue #1036580 by johnv: Fixed error in Workflow Node API on Node View page when another workflow was assigned to node type.
Issue #2119921 by johnv: Added dependency to Entity API module.
Issue #2102193 by johnv: Fixed documentation of hook_workflow() in workflow.api.inc
Issue #2019345 by johnv: Moved workflow_field_choices() to deprecated.inc, since it is completely replaced by WorkflowState->getOptions($node).
Issue #2019345 by johnv: Fixed messages from PAReview.sh.
Issue #2119921 by johnv: Moved workflow_node db functions to workflow.node.inc file.
Issue #2119921 by johnv: Moved workflow_requirements() to workflow.install file.
Issue #2019345 by johnv: Fixed messages from PAReview.sh.
Issue #2122541 by johnv: Added new submodule Workflow Node.
Issue #2122541 by johnv: Moved workflow_node-specific code from WorkflowState::deactivate() to hook workflownode_workflow('state delete').
Issue #2122541 by johnv: Changed call to workflow_node specific function in worflow_admin_ui.
Issue #2019345 by johnv: Fixed error when adding node after PAreview.
Issue #2122541 by johnv: Moved workflow_node-specific code from Workflow::delete() to hook workflownode_workflow('worflow delete').
Issue #2019345 by johnv: Removed duplication of Workflow*Transition::__construct.
Issue #2019345 by johnv: Fixed duplicate Workflow Form on Node View page.
Issue #2019345 by johnv: Moved saving of workflow_node_history to WorkflowTransition class.
Issue #2019345 by johnv: Fixed error when submitting a Workflow Field on a comment.
Issue #2102405 by johnv: Added Entity support for Workflow Executed Transitions (workflow_node_history).
Issue #2019345 by johnv: Changed interface of workflow_node_current_state() for Field API.
Issue #2128423 by johnv: Moved page code of workflow_cleanup to own file workflow_cleanup.pages.inc.
Issue #2019345 by johnv: Moved workflow_updates_workflows() to workflow.deprecated.inc.
Issue #2019345 by johnv: Moved page code of workflow_revert to own file workflow_revert.pages.inc.
Issue #2019345 by johnv: Changed interface of workfow_execute_transition() while centralizing code for Field API and Node API.
Issue #2115199 by johnv: Moved workflow_admin_ui type_map page to own file, (since it is only valid for Node API) and fixed PAReview errors.
Issue #2019345 by johnv: Moved code to WorkflowState::create() to hide State specific details.
Issue #2019345 by johnv: Removed dependency on workflow.node.inc in common code.
Issue #2102405 by johnv: Changed interface of workflow_tab_access, workflow_tab_page to be $entity_type resistant.
Issue #2019345 by johnv: Moved some code in workflow.module.
Issue #2019345 by johnv: Fixed workflow_revert now supports all entity types and field names.
Issue #2019345 by johnv: Changed theme_workflow_history_table to add proper 'Operations column' to history table.
Issue #2019345 by johnv: Updated workfow_rules to reflect latest code. Still only supports 'node'.
Issue #2019345 by johnv: Changed constructor of Workflow to be protected.
Issue #2102193 by johnv: Changed call to 'hook_workflow', 'transition permitted' - arguments were swapped.
Issue #2019345 by johnv: Fixed 'force' parameter in call to hook_workflow.
Issue #2019345 by johnv: Added some love to the Workflow Form: less space for schedule block.
Issue #2019345 by johnv: Added some love to the Workflow Form.
Issue #2019345 by johnv: Added some Node/Field API dependent flow logic.
Issue #2137149 by johnv: Changed Workflow History Tab to show workflow_transition_form instead of workflow_node_form.
Issue #2137149 by johnv: Changed Node View page to show workflow_transition_form instead of workflow_node_form.
Issue #2137149 by johnv: Removed workflow_tab_form code, since it is replaced by workflow_transition_form.
Issue #2137219 by johnv: Changed workflow_actions to support Workflow Field.
Issue #2122541 by johnv: Fixed strict warnings in WorkflowScheduledTransition.
Issue #2137149 by johnv: Changed Node Edit page to show workflow_transition_form instead of workflow_node_form.
Issue #2019345 by johnv: Fixed notices on WorkflowDefaultWidget.
Issue #2137149 by johnv: Changed Node Comment form to show workflow_transition_form instead of workflow_node_form.
Issue #2137149 by johnv: Changed code to use workflow_state_formatter to show Current State on any form.
Issue #2137149 by johnv: Removed workflow_node_form: use workflow_transition_form instead.
Issue #2019345 by johnv: Fixed enable changing nodes on front page.
Issue #2019345 by johnv: Fixed expand schedule block when +1 forms on a page.
Issue #2120451 by Kirsten Pol: Fixed superfluous sort when loading workflow_history_node.
Issue #212429 by johnv: Fixed do not revert to deleted, disabled, same state in workflow_revert.

Since 7.x-2.0-beta1
Issue #2141763 by johnv: Fixed avoid calling hook_worflow when saving an Entity and state has not changed.
Issue #1408398 by johnv: Fixed incorrect field type for 'sid' in table workflow_access.
Issue #2142659 by johnv: Changed path of workflow_access, to be in sync with other submodules.
Issue #2142677 by johnv: Changed location of workflow_access Admin UI page to own file.
Issue #0437874 by hefox, johnv, e.a.: Fixed hide workflow tab and 'author' transitions for anonymous users on nodes with anonymous author.
Issue #0437874 by hefox, johnv, e.a.: Fixed access grants in workflow_access for anonymous users on nodes with anonymous author.
Issue #2019345 by johnv: Fixed in create form, Widget should show the first option, not the last.
Issue #2121765 by johnv: Fixed show correct state in preview mode.
Issue #2137219 by johnv: Fixed warning for workflow_actions.
Issue #2146411 by johnv: Reverted cache for workflow_node_current_state.
Issue #2137149 by johnv: Fixed double code in Transition->execute().
Issue #2146411 by johnv: Fixed workflow_node_previous_state.
Issue #2065799 by johnv: Added WorkflowState->count() to count nodes per State.
Issue #2137149 by johnv: Changed 'workflow_options' to 'workflow_sid' in workflow_transition_form().
Issue #2146411 by johnv: Fixed old&new state in Rules integration.
Issue #2137149 by johnv: Fixed constructor of WorkflowTransition.
Issue #2137149 by johnv: Added README.txt for Workflow_rules.
Issue #2115671 by johnv: Changed workflow_views to Views 3 API structure.
Issue #2019345 by johnv: Fixed selection of Options in Workflow object.
Issue #658880 by johnv: Added filter on CreationState and Workflow in worklow_views_handler_filter_sid.
Issue #2137149 by johnv: Fixed constructor of WorkflowTransition.
Issue #1021126 by johnv: Fixed 'Workflow: state' Views Filter doesn't handle nodes without a workflow state.
Issue #2147511 by johnv: Removed Views filters/fields/etc for {workflow_node} when module Worflow Node disabled.
Issue #2147535 by johnv: Added Views filter and field for 'Transition: old sid', to complent existing 'new sid'.
Issue #2147535 by johnv: Added More Views filter/field/sort for 'Workflow: current transition'.
Issue #2147673 by johnv: Marked 'workflow: states' field and sort as deprecated: should be implemented using a relationship.
Issue #2019345 by johnv: Renamed _workflow_view_workflow_get_state_name() to workflow_get_sid_label().
Issue #2130783 by johnv: Added formatter 'count entities with this state' to 'Workflow: state' Views Field.
Issue #2019345 by johnv: Added workflow_get_wid_label().
Issue #2019345 by johnv: Fixed workflow_get_states() in workflow_admin_ui.
Issue #1589254 by fedia.io1: Fixed Rename D6 hook_features_export_rebuild() to D7 hook_features_rebuild().
Issue #2019345 by johnv: Renamed Workflow->getOptions() to workflow_get_state_names().
Issue #2019345 by johnv: Fixed workflow.features.inc helper functions.
Issue #2124915 by fedia.io1, Liam Mitchell: Fixed Transition's target_state and roles aren't exported with features.
Issue #2126867 by slite: Fixed Reverting features causes warning.
Issue #2147781 by zihong0: Fixed error, due to typo in workflow_acces.module.
Issue #2144817 by zihong0: Fixed PHP 5.3/5.4 'Warning: Parameter 1' in workflow_transition_form().
Issue #2019345 by johnv: Renamed Workflow*->get*ByName() to Workflow*->loadByName().
Issue #2124915 by johnv: Fixed transfer transitions with Features.
Issue #2148851 by johnv: Fixed transfer 'tab_roles' using machine names with Features.
Issue #2148851 by brad.bulger, johnv: Fixed warning in Tokens when an old_state is deleted.

Since 7.x-2.0-beta2
Issue #2149027 by johnv: Fixed warning in workflow.rules.inc for PHP5.3/PHP5.4.
Issue #2149121 by johnv: Restructured workflow_views_views_data().
Issue #2149223 by johnv: Moved calls to Transition->isAllowed() into Transition->execute(), removing duplicate code.
Issue #2149451 by hckurniawan: Fixed PHP Warnings in Drupal's core install.inc in distribution.
Issue #2124429 by johnv: Removed obsolete code comment in workflow_revert.
Issue #2019345 by johnv: Removed obsolete code comment in Workflow* classes.
Issue #2149595 by johnv: Fixed Scheduled transitions are invisible, after upgrade to 7.x-2.0-beta2.
Issue #2149671 by johnv: Added dependency on Workflow Node for workflow_search_api.
Issue #2152425 by Propaganistas: Fixed error in WorkflowD7Base::__construct() when using custom entities.
Issue #2019345 by johnv: Fixed workflow_revert now supports $entity_types and $field_name in hook 'transition permitted'.
Issue #2153915 by johnv: Fixed incorrect allowed choices with $force == TRUE and hook 'transition permitted'.
Issue #2019345 by johnv: Fixed flow logic, help texts, warnings of workflow_admin_ui.
Issue #2019345 by johnv: Fixed return array in Workflow*Transition::load().
Issue #0934078 by johnv: Added ability to bulk schedule in workflow_vbo, re-using standard workflow form.
Issue #2019345 by johnv: Renamed workflow_save_transition() to workflow_transition_form_submit().
Issue #2153529 by johnv: Fixed PDO exception upon node_save().
Issue #0934078 by johnv: Fixed ability force a bulk state change workflow_vbo, re-using standard workflow form.
Issue #2156737 by johnv: Fixed error when entering an invalid time in the workflow form.
Issue #0410538 by johnv: Added Views 'workflow' link, analog to the existing 'edit' link.
Issue #2100445 by johnv: Fixed reassigning content to disabled state in workflow_admin_ui.
Issue #2156737 by johnv: Reverted part of patch.
Issue #2149121 by zihong0: Fixed warnings from workflow_views.
Issue #2157987 by zihong0: Added admin_summary in Views State filter handler.
Issue #0658880 by johnv: Fixed warnings and bad behaviour when setting SID filter.
Issue #2153529 by johnv: Fixed PDOException when saving new node.
Issue #2100445 by johnv: Fixed reassigning content to disabled state in workflow_admin_ui -2-.
Issue #2162333 by johnv: Fixed messages when adding/saving non-nodes with workflow_access enabled.
Issue #2162333 by johnv: Added message in modules page 'workflow_access works only for nodes'.
Issue #1212614 by johnv: State is changed twice - only when adding a comment during state change.
Issue #2019345 by johnv: Added notices in info-file for better usage of submodules.
Issue #2019345 by johnv: Added WorkflowConfigTransition as an Entity for workflow_transitions.
Issue #2019345 by johnv: Fixed delete transitions even when no content is assigned.
Issue #2019345 by johnv: Moved workflow_transitions functions to Workflow(ConfigTransition) classes.
Issue #2163805 by johnv: Added user_access to workflow_revert link, not only page.
Issue #2019345 by johnv: Fixed message on workflow_tab_page.
Issue #2149223 by johnv: Moved code from workflow_allowable_transitions to central Workflow::getTransitions().
Issue #2149223 by johnv: Moved code from workflow_transition_allowed to WorkflowConfigTransition::isAllowed().
Issue #2165179 by colan: Fixed update of workflow_node_history.
Issue #2160375 by Matthijs: Added workflow tab for all entities.
Issue #2112199 by johnv: Fixed messages by PAReview.sh in WorkflowItem.php.
Issue #2149223 by johnv: Moved code from workflow_transition_allowed to WorkflowConfigTransition::isAllowed() -2-.
Issue #2019345 by johnv: Moved code to unify workflow_node and workflow_field.
Issue #2019345 by johnv: Added function workflow_state_load.
Issue #2165703 by Propaganistas, johnv: Fixed strict warnings.
Issue #2166199 by zihong0: Fixed error.
Issue #2166047 by johnv: Fixed error when choosing 'Options' widget directly on field-add page.
Issue #2165807 by dcanetma: Fixed scheduled transitions cron is not working on time basis.
Issue #2019345 by johnv: Fixed messages on workflow settings edit page.
Issue #2064449 by johnv: Changed role ID of 'workflow author' from 'author' to '-1'; 'roles' fields are now serialized.
Issue #2168571 by rv0: Fixed Workflow field required setting is not saved.
Issue #2102765 by johnv: Fixed documentation of hook_workflow_operations.
Issue #2169859 by johnv: Fixed problems with Features.
Issue #2064449 by johnv: Changed hook_update_7007.
Issue #2171615 by Tim-Erwin, johnv: Fixed wrong parsing of hook_workflow results.
Issue #2019345 by johnv: Added back the type_map functions to main workflow module, to preserve compatibility with third-party modules.
Issue #2170037 by johnv: Changed default widget to 'workflow' widget, instead of 'select'.
Issue #2171615 by Tim-Erwin, johnv: Fixed wrong parsing of hook_workflow results. -2-
Issue #2165349 by johnv: Added logging in hook_field_delete; added comments. Moved code of hook_node_delete to WorkflowItem.php
Issue #1559680 by johnv: Changed Transitions into Entity. Views support enabled.
Issue #2175867 by johnv: Updated workflow_views_handler_field_username to use all Views' optons.
Issue #2064449 by johnv: Merged hook_update_7001 with hook_update_7007 to avoid errors in 7001.
Issue #2019345 by johnv: Moved entity_<operations> function calls to workfow.entity.inc.
Issue #2019345 by kaare: Fixed $node->name is unset in workflow.tokens.inc.
Issue #2184633 by johnv: Fixed caching of Workflow (BTW, which is now a true entity).
Issue #2019345 by johnv: Moved workflow.node.inc to submodule workflow_node.
Issue #2187151 by johnv: Added an 'Actions buttons' widget to Workflow form for permitted states.
Issue #2187151 by johnv: Added an 'Actions buttons' widget for permitted states on Workflow_node and Entity Form.
Issue #2187677 by johnv, boris sondagh: Removed 'Sys ID' column in Admin UI states page.
Issue #2185859 by johnv: Fixed 'Class not found' error in hook_update_7004.
Issue #2192815 by johnv: Renamed, reordered private functions in workflow.features.inc
Issue #2192815 by johnv: Fixed broken features export since Workflow is an entity.
Issue #2189761 by johnv, zengenuity, naptown: Add Rules support for Workflow Field using 'EntityDefaultRulesController', removing custom code.
Issue #2019345 by johnv: Fixed workflow history is saved twice when adding transition via comment.
Issue #2187151 by johnv: Added an 'Actions buttons' widget to Workflow form on Comments and Entity form for Workflow Field .
Issue #2019345 by johnv: Added workflow_enable() and cleared texts.
Issue #2202405 by johnv: Added Rules action 'Set a workflow field state' to workflow_rules submodule.
Issue #2196587 by johnv: Fixed earlier introduced error in workflow.tokens.inc.
Issue #2196587 by johnv: Fixed Notice: Undefined property: stdClass::$workflow in workflow_tokens().
Issue #2200089 by johnv: Fixed PDOException: SQLSTATE[42S22] upon 'transition delete' when workflow_actions enabled.
Issue #2200089 by johnv: Fixed backwards compatibility with workflow_actions.
Issue #2205707 by johnv: Moved some views handlers from workflow_extensions to workflow_views.
Issue #2205707 by johnv: Moved workflow_comment_edit_link field handler from workflow_extensions to workflow_views.
Issue #2208675 by johnv: Fixed Unnecessary db-calls upon node_load in workflow_node.
Issue #2208675 by johnv: Shorter code in workflow_state_formatter().
Issue #2019345 by johnv: Use api in workflow_search_api.
Issue #2168197 by johnv: Added VBO support for workflow_field, preventing assigning a state of an illegal Workflow.
Issue #2206923 by Uccio: Fixed Uninstall of workflow_actions doesn't remove actions.
Issue #2208971 by johnv: Fixed refresh entity_cache upon saving new workflow_node state in WorkflowTransition->execute().
Issue #2209359 by 2pha, johnv: Fixed workflow_access and other workflow_submodules when $field_name is not known.
Issue #2207423 by johnv: Removed double lock on workflow_actions for workflow_field.
Issue #2210787 by johnv: Fixed avoid calling 'transition post' twice when workflow_actions is enabled.
Issue #2207423 by johnv: Fixed hook_workflow('transition post') is now called also for workflow_field on the correct moment.
Issue #0843568 by johnv: Added 'revision_id' to {workflow_node_history} when saving a transition.
Issue #2207423 by johnv: Fixed hook_workflow('transition post') is now called only in workflow_actions, avoiding extra hook in other cases.
Issue #2212197 by johnv: Fixed access to workflow history tab per role.
Issue #2102409 by johnv: Fixed multiple workflow_fields per bundle, when saving a new entity.
Issue #2207423 by johnv: Fixed workflow_actions' hook_workflow('transition post') also for non-node entities.
Issue #2102409 by johnv: Fixed multiple workflow_fields per bundle, in workflow_access.
Issue #2216641 by johnv: Fixed notices by workflow_access when saving a node without workflow.
Issue #2216685 by Bastlynn: Fixed WSOD.
Issue #2216685 by Bastlynn: Fixed WSOD, part 2.
Issue #2216685 by johnv: Further cleanup and unification of workflow_node and workflow_field.
Issue #2116179 by johnv: Some more isolation of type_map functions.
Issue #2216685 by johnv: Further cleanup for workflow_vbo.
Issue #2168197 by johnv: Separated workflow_vbo actions into own files, for less footprint and better maintainability.
Issue #2218303 by johnv: Fixed error if you try to assign a state to a non-relevant node type (e.g. in workflow_vbo action).

Since 7.x-2.2
Fixed some problems with WorkflowConfigTransition.
Fixed breadcrumbs on workflow add page.
Issue #2218303 by zihong0: Fixed type in workflow_node_previous_state.
Issue #2226781 by johnv: Changed Admin UI to use Entity UI.
Issue #2226781 by johnv: Added message when saving states.
Issue #2226451 by johnv: Streamlined code around $state->showWidget().
Issue #2226451 by johnv: Removed showing workflow widget when creating a node, and only 1 state allowed.
Issue #2228317 by johnv: Moved hook_user_role_insert() since it was not called when Admin UI disabled.
Issue #2220065 by zihong0, johnv: Fixed workflow_access_node_access_records() is not called from node_save().
Issue #2228317 by johnv: Fixed hook_user_role_insert is not called when Admin UI disabled.
Issue #2228457 by johnv: Do NOT enable all roles for Transitions, upon enabling Workflow UI module.
Issue #2228457 by johnv: Fixed some help texts.
Issue #2228457 by johnv: Fixed menu_build should not be called in admin_ui install, and is not needed since update_7001 exists.
Issue #2226781 by johnv: Removed Workfow Add form, in favour of Workflow Edit form.
Issue #2128423 by johnv: Fixed small theming thingy in workflow_cleanup.pages.inc.
Issue #2187321 by johnv: Added Workflow as an Exportable entity (not complete yet, but allows cloning).
Issue #2226451 by johnv: Fixed workflow widget when creating a node, and only 1 state allowed: should move node to first state.
Issue #2226781 by johnv: Changed Workflow Access page to use Entity UI.
Issue #2226781 by johnv: Changed Workflow Clean up page to use Entity UI.
Issue #2220065 by zihong0, johnv: Fixed workflow_access_node_access_records() is not called from node_save().
Issue #2220065 by johnv: Fixed better filters WorkflowTransition->execute().
Issue #2209359 by johnv: Fixed submitting workflow access settings, does not trigger access rebuild for workflow_field.
Issue #2209359 by johnv: Fixed better UX for workflow_access pages, and removing a hook for better performance.
Issue #2230833 by johnv: Fixed deleting/fetching ScheduledTransitions, when having multiple workflow_fields per node.
Issue #2226781 by johnv: Fixed parameters of workflow_admin_ui_edit_form_validate().
Issue #2230833 by johnv: Fixed showing ScheduledTransitions, when having multiple workflow_fields per node.
Issue #2226781 by johnv: Fixed screen flow of workflow_admin_ui_edit_form().
Issue #2209359 by johnv: Fixed workflow_access_node_access_records() in case of Access Rebuild of Workflow Fields.
Issue #2209359 by johnv: Fixed error message in workflow_access.
Issue #2019345 by johnv: Added parameter 'transition' to hook_workflow().
Issue #2019345 by johnv: Added error message when setting state on non-relevant entity.
Issue #2209359 by johnv: Fixed error in workflow_actions with workflow_field and workflow_access enabled.
Issue #2229635 by johnv: Fixed Undefined index: entity_type in workflow_vbo_next_state_action().
Issue #2231903 by johnv: Fixed usage of field_info_field_map() under D7.22.
Issue #2168197 by johnv: Fixed support of VBO 'modify entity values' for workflow_field.
Issue #2102409 by johnv: Removed $workflow->getWorkfowItem() c.s., which is not needed anymore.
Issue #1649216 by johnv: Changed display of 'author' and 'creation' on admin pages, to avoid confusion when 'autor' role is defined.
Issue #2019345 by johnv: Added error message when used workflow is deleted.
Issue #2237125 by johnv: Added token 'workflow-state-age' from workflow_extensions.
Issue #2237125 by johnv: Reordered functions in workflow.tokens.inc.
Issue #0907442 by johnv: Fixed comment field can now be hidden, optional and (new!) required.
Issue #2239189 by johnv: Fixed Anonymous author cannot set a state for new content.
Issue #2019345 by johnv: Removed workflownode.inc into workflownode.module.
Issue #2164081 by johnv: Some nervous code reshuffling regarding unpublished nodes.
Issue #2237361 by johnv: Fixed SQL error in node_access when Anonymous Author has workflow_access rights.
Issue #2240009 by johnv: Changed some code in workflow.tokens.inc, to prepare for multiple workflows per entity.
Issue #2019345 by johnv: Changed WorkflowState to an Entity, too.
Issue #2019345 by johnv: Added method getWorkflow() to WorkflowTransition class.
Issue #2241577 by johnv: Fixed export/import Features after making WorkflowState an entity.
Issue #2164081 by johnv: Removed code that hides Workflow Form on unpublished nodes.
Issue #2241577 by johnv: Removed dependency on Features module. Now you can enable a workflow feature without!
Issue #2217291: Added new view + view_mode 'history_tab', to create customizable tab, for multiple workflows.
Issue #0443094: Fixed typo in workflow_admin_paths_alter().
Issue #2241577 by preddy: Added check for existing workflow in WorkflowConfigTransition::save().
Issue #2243569: Added inline documentation for usage of workflow_get_workflows_by_type with multiple workflows per node type.
Issue #2243997: Added refreshed default views in workflow_views under /workflow/ path.
Issue #2217291: Fixed workflow_views for installations with D7<7.22.
Issue #2240009: Moved current tokens to submodule 'workflownode' to prepare for workflow_field tokens.
Issue #2240009: Added better readable 'chained' tokens, re-using tokens of core objects.
Issue #2237125: Removed token 'workflow-state-age' from workflow_extensions, since it is now available as a chained token.
Issue #2240009: Removed dpm().
Issue #2226781: Fixed error on type_map admin page for PHP5.4
Issue #2226781: Fixed warnings for PHP5.4 using reset().
Issue #2241577: Added machine_name to Workflow, influencing features.
Issue #2240009: Removed dpm().
Issue #2240009: Fixed 'chained' tokens now also workf when saving entities.
Issue #2226781: Fixed new states add added at end of state list.
Issue #0073412: Fixed a long-standing issue by adding a machine_name and label for Transitions! Many thanks to workflow_named_transitions.
Issue #0073412: Removed hardcoded text on action buttons, since they can be set with Transition labels, now.
Issue #2019345: Fixed constructor of WorkflowConfigTransition.
Issue #0744272: Added new hook to allow freely definable transitions per state.

Since 7.x-2.3
Issue #0744272: Fixed sort order of states in Workflow Form was not according to states weight.
Issue #2102409: Fixed some function (calls) did not support multiple field_names.
Issue #2250403: Fixed typo in workflow_access function, leaving Admin UI only accessible for user 1.
Issue #2256607 by chadhester: Added 'bundle' parameter to workflow_get_workflows_by_type().
Issue #2257145 by chadhester: Fixed Empty $wid value in _workflow_get_workflow_creation_sid().
Issue #2259893 by preddy: Fixed incorrectly hidden labels on Workflow Labels page.
Issue #2260183: Fixed errors with Tokens.
Issue #2261375: Fixed Workflow label was replaced by Workflow machine_name in version 2.3
Issue #2260183: Fixed errors with Tokens with entities that existed before Workflow was added to Entity type.
Issue #2265147: Fixed error in workflow_update_7011() during update.php.
Issue #2266077: Added help text on workflow_cleanup page.
Issue #2267115: Fixed No watchdog call when using Workflow Field.
Issue #2270581: Added examples of hook_workflow_(BASE_FORM_ID_)alter() to workflow.api.php.
Issue #2272121: Fixed 'Tokens' warning on page admin/reports/status.
Issue #2269703: Added code to create a workflow programmatically.
Issue #2272761: Fixed wsod in version 2.4-beta1, due to dpm() leftover in tokens.inc.
Issue #2276149: Fixed 'wid' value in Views Export of filter 'Workflow current: Current state' in workflow_views_handler_filter_sid.
Issue #2263561: Added Entity properties + tokens.
Issue #2277751: Added Field Properties for workflow_field.
Issue #2265615: Added Rules Action 'Set a workflow field state' for any entity.
Issue #2277935: Fixed message 'Wrong call to constructor' when rebuilding permission with workflow_access enabled.
Issue #2196247: Added machine_names for WorkflowStates.
Issue #2217291: Removed warnings from workflow_views, when another module was rudely disabled.
Issue #2279241: Fixed json_encode() error by making $workflow property protected.
Issue #2279677: Fixed Notice 'Undefined property: $title in WorkflowScheduledTransition->save()'.
Issue #2279967: Fixed Wrong default value for ScheduledTransition widget.
Issue #2282969: Added help text on Workflows page, to tell user how to use Workflow Field.
Issue #2285327: Fixed wrong function call in VBO action 'Set to next state'.
Issue #2277751 by barami: Added $property['options list'] to Workflow Field.
Issue #1511694 by joel_osc: Added integration of WorkflowNode with Panels.
Issue #2187731 by boris sondagh: Added Panels access/selection rules based on workflow.
Issue #2152435: Prepared WorkflowField Features export for better import when wid changed in target system.
Issue #2287057: Fixed usage of actual $user instead of global $user for Transition.
Issue #2287057: Fixed undefined variable $workflow_id in workflow.module.
Issue #2283821: Fixed error in hook_update_7007() due to schema changes, when Upgrading from old D6/D7-version to 7.x-2.x.
Issue #2283821: Fixed error in workflow_node, when Upgrading from old D6/D7-version to 7.x-2.x.
Issue #2291411: Fixed broken link on Admin UI.
Issue #2217855: Fixed fatal error in workflow_actions when ConfigTransition has invalid target_state.
Issue #2187321: Fixed message when importing workflow.
Issue #2296843: Added more properties and functions to entities.
Issue #2296843: Added more properties and functions to entities - remove typo.
Issue #2205707: Added permission for workflow_comment_edit_link field handler from workflow_extensions.
Issue #2211145: Grouped workflow action buttons together with Drupal buttons ([Save], [Preview]).
Issue #2283821: Fixed error in hook_update_7007() due to schema changes, when Upgrading from old D6/D7-version to 7.x-2.x.
Fixed code style errors, as reported by pareview.sh and coder module.
Issue #2299883: Fixed invalid WorkflowConfigTransitions created when cloning a Workflow.
Issue #2299909: Removed 'delete'-link on Admin UI if Workflow is not deletable.
Issue #2211145: Fixed message when only 1 Workflow Action Button avilable on form.
Issue #2300497: Allow non-allowed transitions when $force is set.
Issue #2296843: Added more properties and functions to entities - use them in rest of codebase.
Issue #2211145: Added better performance when grouping workflow action buttons together with Drupal buttons ([Save], [Preview]).
Added message on Admin pages when both WorkflowNode and WorflowField are enabled.

Since 7.x-2.4
Issue #2303925 by tucho: Fixed error due to typo in workflow_features_pipe_field_base_alter().
Issue #2307303: Added IMPORT action to workflows, but this requires applying of patch #1967794 before it works.
Issue #2249187: Fixed overwriting of State Name by machine name when importing a Workflow.
Issue #2313549: Fixed workflows cannot be deleted in version 7.x-2.4
Issue #2317243: Fixed notice: Undefined variable: new_sid in workflownode_tokens().
Issue #2305617 by emil.virkki: Fixed Action buttons bypass Field validations.
Issue #2326215 by sazcurrain: Fixed Views pagers with PostgreSQL DB.
Issue #2323025: Deprecated Rules Action 'Set a Workflow Field State'.
Issue #2314681: Fixed Notice: Trying to get property of non-object in _workflow_get_workflow_creation_sid()
Issue #2312243: Fixed Notice: Trying to get property of non-object in _workflow_rules_workflow_get_options()
Issue #2304365 by mgadrat: Fixed error in Rules 'Set workflow value' action when using Workflow Node.
Issue #2323025: Reverted deprecation of Rules Action 'Set a Workflow Field State'.
Issue #2323025: Updated Rules Action 'Set a Workflow Field State'.
Issue #2317877: Fixed regression Fatal error: __clone method called on non-object in workflow.features.inc
Issue #2331969 by LCM: Fixed available transitions for non-author in WorkflowState::getTransitions().
Issue #1988990: Added translatability of Workflow Field.
Issue #1988990: Added translatability of Workflow Field - execute scheduled transitions.
Issue #2338547: Fixed revision_id is not set when executing a Scheduled Transitions.
Issue #2323025: Fixed Rules Action 'Set a Workflow Field State' does not work.
Issue #2274999: Fixing errors when creating an advanced action.
Issue #2295625: Fixed Advanced Actions and VBO Actions.
Issue #2072225: Added hook_help().
Issue #2353955: Fixed caching in workflow_get_workflows_by_type().
Issue #2354649: Reorganized submodules workflow_vbo and workflow_actions.
Issue #2355085: Fixed Error "Workflow 0 cannot be loaded" when operating on node without Workflow.
Issue #2355093: Fixed machine_name of '(creation)' should not be translated.
Issue #2356605 by pianomansam: Fixed warnings when calling workflow_node_current_state()
Issue #2371061: Fixed Notice: Undefined property: FieldCollectionItemEntity:: in WorkflowTransition->getEntity()
Issue #2361051 by minorOffense: Fixed Call to undefined method EntityValueWrapper::getPropertyLanguage()
Issue #2361051 by gstout: Call to undefined method EntityValueWrapper::getPropertyLanguage()
Issue #2382377: Fatal error after disabling workflow_access: Call to undefined function workflow_access() in /entity/entity.module
Issue #2369435: Fixed Notice: Undefined index: group in workflow_actions_trigger_info() (Line 162 of workflow_actions/workflow_actions.module)
Issue #2260971: Updated documentation in workflow.api.php
Issue #843568: Fixed undefined var when saving revisions.
Issue #2304875: Fixed Status Report Tokens Warning when entity_token not enabled.
Issue #2385439: Added Field setting to remove Workflow widget from entity edit forms.
Issue #2228325: Moved documentation from Workflow_extensions module's README.txt to Workflow's README.txt
Issue #2374587 by Karsa: Workflow node doesn't set the state of a newly created node
Issue #2373103: Fixed Notice 'Undefined index' in list_field_formatter_view() when previewing a node.
Issue #2308677: Fixed regression: 'Workflow current: Current state' is missing when creating a contextual filter
Issue #2400211: Added Views support for non-node entity types

Since 7.x-2.5
Issue #2340011: Fixed Error "Workflow 0 cannot be loaded" when using Workflow Node and Workflow Rules
Issue #2401481: Fixed error when creating a Transition, parameter values() is discarded
Issue #2401493: Added $transition->getTimestamp()
Issue #2401511: Renamed hook-functions in workflownode module
Issue #2406175: Implemented a WorkflowTransitionForm form object
Issue #1559680: Make Transitions fieldable entities -1-
Issue #2406175: Uniformed creation of form_id
Issue #2406175: Moved WorkfowTransitionEdit to th WorkflowTransitionForm form object
Issue #2441821: Fixed wrong link
Issue #2441821: Fixed error
Issue #2441821: Better determination of field_name
Issue #2421157: Added Block for viewing/changing a Workflow State
Issue #2417193 by kaare: Added stub for undefined method WorkflowItem::delete()
Issue #2430243: Fixed fragile check for entity edit mode in WorkflowTransitionForm::submitForm()
Issue #2467103: State is lost when comment with Workflow Widget is submitted, and node has end-state
Issue #2546152 by NancyDru: Added submodule workflow_notify.
Issue #2532128 by wayaslij: EntityMetadataWrapper $property call should first check if method exists
Issue #2413593 by kyoder: Fixed EntityMetadataWrapperException in workflow.tokens.inc
Issue #2169859 by kyoder, BAHbKA: Problems with Workflow Access Features
Issue #2373103 by chilic: Notice in Node Preview mode in list_field_formatter_view()
Issue #2472501 by alan-io1: Use features_get_default in hook_features_rebuild
Issue #2484325 by GuyPaddock: Error on Site installation: table Workflows doesn't exist
Issue #2376557 by deetergp: Token 'comment' does not work
Issue #2351299 by johnv: Prepare D8-Port: split class files
Issue #2484297 by vasi, bartvig, GuyPaddock: Features import / revert broken in 2.5+
Issue #2375261: Undo adding workflow to workflow_field features-export
Issue #2569801 by joshf: Index {workflow_node_history}.nid
Issue #2351299: Undo Prepare D8-Port: split class files
Issue #2562475: Fixed Fatal PHP Error: Unsupported operand types in workflow....
Issue #2506507: Workflow Node scheduled transition : PHP Fatal error when upd...
Issue #2577687 by Kgaut: Fixed unclear enabling messages
Issue #2372171: Database upgrade fails with Call to undefined function workfl...
Issue #2587485: Fixed broken link in workflow.features.inc
Issue #2571627: D8-port: D7-code improvements
Issue #2600346: Enable roles for 'participate' by default on new Workflow
Issue #2484431 by GuyPaddock: Do NOT automatically enable roles to participat...
Issue #2502547 by djdevin, johnv: Add Entity Id to WorkflowScheduledTransition
Issue #2600426: Fixed: Time of Scheduled Transition is not retrieved in Workf...
Issue #2385439 by johnv: Fixed typo in code
Issue #2514782 by johnv: Added Workflow field help text to Workflow widget
Issue #2600808: Wrap workflow form in Fieldset
Issue #2307303: Added dependency on entity module v7.x-1.6
Issue #2555563 by NancyDru: Organic Groups strict access overrides Workflow A...
Issue #2446811: Remove multiple workflows in workflow_access_node_access_reco...
Issue #2600934 by najamfzl, johnv: Fixed PDOException: SQLSTATE[23000]: Integ...
split form functions in own include file
Issue #2601136: move scheduling info in own container (in WorkflowTransitionf...
Issue #1559680: Make Transitions fieldable entities - add extra fields + fiel...
Issue #2601240: Fixed Notice: Undefined index: id in WorkflowTransitionForm->...
Issue #2601304: Fixed Error in Editing an existing WorkflowTransition
Issue #2597307 by caminadaf, johnv: Fixed Workflow retrieving wrong SID on AJ...
Issue #1511694 by joel_osc, bibishani, natew, dshields: Better integration of...
Issue #2601304: Fixed Error in Editing an existing WorkflowTransition
Issue #2581909: Change status via VBO
Issue #2557905 by natanmoraes: PDOException when firing rule "Set a Workflow ...
Issue #2601304: Error in Editing an existing WorkflowTransition
Issue #2375261: Redo adding workflow to workflow_field features-export
Issue #2578493: html_encode option values for workflow/state/transition
Issue #2510958: Added css-classes to Workflow Transition Form
Issue #2363521: Remove unnecessary action button in Node View page
Issue #2599610 by plopesc: Schedule state change radio buttons generate confl...
Issue #2545660: Make action buttons more unique
Issue #2584883: [D8-port task] test all hooks
Issue #2595247: Actions buttons: make code more local
Issue #2600934: PDOException: SQLSTATE[23000]: Integrity constraint violation...
Issue #2351299: Prepare D8-port: move forms in own file.
Issue #2604914: Fatal error: Call to a member function getName() on a non-object
Issue #2595247: Actions buttons: make code more local
Issue #2604968: States help blocked by case switching in workflow_admin_ui_help
Issue #2604246 by skek: Performance optimisation in Workflow::save()
Issue #2605256 by bleedev: Unknown data property field_workflow error when de...
Issue #2285983: Workflows Admin UI Broken on SQLite
Issue #2581909: Change status via VBO
Issue #2605822: Wrong default option when adding an entity with workflow
Issue #2604048: Amend WorkflowTransition::dpm()
Issue #2604246 by skek, danielmrichards: Performance optimisation for Workflo...
Issue #2607150 by aronne: Workflow transitions don't respect configured permi...
Issue #2607198 by heykarthikwithu: Add @return type and change @param values ...
Issue #2363521: Fixed removed scheduled action button in Node View page
Issue #2580543: Fixed warnings when displaying tokens
Issue #318325: Add hook_widget_form_alter to workflow.api.php
Issue #2607998: Warning: array_flip() appears when workflow_block is enabled
Issue #2608128 by Murz: Function workflow_execute_transition() ignores timestamp of Workflow transition
Issue #2608452 by mwidner: Fixed failing primary index in table
Issue #2608996: Error when workflow_block on node page without workflow

Since 7.x-2.6
Issue #2612648: Implement WorkflowInterface
Issue #2611514: Fixed Re-assigning WorkflowField when disabling state
Issue #2612598: Fixed Warning: Missing argument n for workflow_notify_workflow()
Issue #2613194: Show field_name in Workflow history tab
Issue #2613204: Fixed WSOD when adding/editing a non-node entity with workflow_field
